{% extends "base.html" %}
{% import "bootstrap/wtf.html" as wtf %}
{% block body %}
    <div class="container">
        <h3 class="text-center">Create your account</h3>
        <form method="post">
            {{ form.csrf_token() }}
            <div class="row mb-2 justify-content-center">
                <div class="form-group col-md-6">
                    {{ wtf.form_field(form.username, class='form-control', placeholder='Username') }}
                </div>
            </div>
            <div class="row mb-2 justify-content-center">
                <div class="form-group col-md-6">
                    {{ wtf.form_field(form.first_name, class='form-control', placeholder='First name') }}
                </div>
            </div>
            <div class="row mb-2 justify-content-center">
                <div class="form-group col-md-6">
                    {{ wtf.form_field(form.last_name, class='form-control', placeholder='Last name') }}
                </div>
            </div>
            <div class="row mb-2 justify-content-center">
                <div class="form-group col-md-6">
                    {{ wtf.form_field(form.password, type='password', class='form-control', placeholder='Password') }}
                </div>
            </div>
            <div class="row mb-2 justify-content-center">
                <div class="form-group col-md-6">
                    {{ wtf.form_field(form.confirm_password, type='password', class='form-control', placeholder='Confirm Password') }}
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-md-6">
                    {{ wtf.form_field(form.submit, class='btn btn-primary') }}
                </div>
            </div>
        </form>
    </div>
{% endblock %}